﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace HamQuestEngine.GameConstants
{
    public static class Properties
    {
        public const string Alpha = "alpha";
        public const string AlwaysTutorial = "always-tutorial";
        public const string ArmorType = "armor-type";
        public const string ArmorTypes = "armor-types";
        public const string Attack = "attack";
        public const string AttackDie = "attack-die";
        public const string AttackValue = "attack-value";
        public const string Blue = "blue";
        public const string BrokenMessage = "broken-message";
        public const string BumpHandler = "bump-handler";
        public const string BumpMessage = "bump-message";
        public const string CannotExitWithAmuletMessage = "cannot-exit-with-amulet-message";
        public const string CannotRestMessage = "cannot-rest-message";
        public const string CreatureCount = "creature-count";
        public const string CurrencyItemIdentifier = "currency-item-identifier";
        public const string DefendGenerator = "defend-generator";
        public const string DefendRoller = "defend-roller";
        public const string Direction = "direction";
        public const string DisarmMessage = "disarm-message";
        public const string Durability = "durability";
        public const string Duration = "duration";
        public const string ExperiencePoints = "experience-points";
        public const string GainExperienceLevelMessage = "gain-experience-level-message";
        public const string GainExperiencePointMessage = "gain-experience-point-message";
        public const string GainExperiencePointsMessage = "gain-experience-points-message";
        public const string GeneratedItem = "generated-item";
        public const string GeneratorTable = "generatorTable";
        public const string GhoulDrainedEnergyMessage = "ghoul-drained-energy-message";
        public const string GoOutMessage = "go-out-message";
        public const string Green = "green";
        public const string HealingAmount = "healing-amount";
        public const string HealingType = "healing-type";
        public const string Health = "health";
        public const string HitByMessage = "hit-by-message";
        public const string HitMessage = "hit-message";
        public const string Identifier = "identifier";
        public const string ImagePath = "image-path";
        public const string InitialInventory = "initial-inventory";
        public const string Inventory = "inventory";
        public const string ItemBlockMessage = "item-block-message";
        public const string ItemBlocks = "item-blocks";
        public const string ItemCount = "item-count";
        public const string ItemDisarms = "item-disarms";
        public const string ItemDrops = "item-drops";
        public const string ItemDurabilities = "item-durabilities";
        public const string ItemIdentifier = "item-identifier";
        public const string ItemRemoves = "itemRemoves";
        public const string ItemType = "item-type";
        public const string ItemUnlocks = "itemUnlocks";
        public const string KeyHandlers = "key-handlers";
        public const string KilledByMessage = "killed-by-message";
        public const string KilledMessage = "killed-message";
        public const string KillMessage = "kill-message";
        public const string LightLevel = "light-level";
        public const string LightRadiusImagePath = "light-radius-image-path";
        public const string LockType = "lockType";
        public const string MaximumValue = "maximumValue";
        public const string MessageStatistics = "message-statistics";
        public const string MinimumValue = "minimumValue";
        public const string MissedByMessage = "missed-by-message";
        public const string MissMessage = "miss-message";
        public const string MoraleRoll = "morale-roll";
        public const string Name = "name";
        public const string NecromancerWeight = "necromancer-weight";
        public const string NeedCompletedMegahamMessage = "need-completed-megaham-message";
        public const string NeedRainbowKeyMessage = "need-rainbow-key-message";
        public const string NumberInStock = "number-in-stock";
        public const string NumberInStockDie = "number-in-stock-die";
        public const string NumberInStockRoll = "number-in-stock-roll";
        public const string NumberOfAttacks = "number-of-attacks";
        public const string Passable = "passable";
        public const string PickUpMessage = "pick-up-message";
        public const string Placement = "placement";
        public const string PlayerConfiguration = "player-configuration";
        public const string Price = "price";
        public const string PropertyGroup = "property-group";
        public const string PropertyGroups = "property-groups";
        public const string QuestCompletedMessage = "quest-completed-message";
        public const string RandomNumberGenerator = "random-number-generator";
        public const string Red = "red";
        public const string RestMessage = "rest-message";
        public const string ShopTitle = "shop-title";
        public const string SoundEffect = "sound-effect";
        public const string SpawnAs = "spawn-as";
        public const string SpawnWeight = "spawn-weight";
        public const string SpecialAttack = "special-attack";
        public const string Speed = "speed";
        public const string SpeedMultiplier = "speed-multiplier";
        public const string SpeedRoll = "speed-roll";
        public const string StepTracker = "step-tracker";
        public const string SummonerWeight = "summoner-weight";
        public const string Tags = "tags";
        public const string Text = "text";
        public const string TextColor = "text-color";
        public const string Theme = "theme";
        public const string Themes = "themes";
        public const string ThiefTookGoldMessage = "thief-took-gold-message";
        public const string ThiefTookMegahamMessage = "thief-took-megaham-message";
        public const string TutorialDescriptionText = "tutorial-description-text";
        public const string TutorialImagePath = "tutorial-image-path";
        public const string TutorialTag = "tutorial-tag";
        public const string TutorialTitleText = "tutorial-title-text";
        public const string TwoHanded = "two-handed";
        public const string UseMessage = "use-message";
        public const string WonGameMessage = "won-game-message";
        public const string XGenerator = "x-generator";
        public const string YGenerator = "y-generator";
        public const string Creatures="creatures";
        public const string Creature = "creature";
        public const string Items = "items";
        public const string Item = "item";
        public const string LockTypeWeight = "lock-type-weight";
        public const string AmuletItemName = "amulet-item-name";
        public const string QuestItemName = "quest-item-name";
        public const string Columns = "columns";
        public const string Rows = "rows";
        public const string InitialExperiencePoints="initial-experience-points";
        public const string InitialExperienceGoal="initial-experience-point-goal";
        public const string InitialHealth="initial-health";
        public const string HealthPerExperienceLevel="health-per-experience-level";
        public const string ExeperienceGoalMultiplier = "experience-goal-multiplier";
        public const string ExeperienceGoalDivisor = "experience-goal-divisor";
        public const string InitialExperienceLevel = "initial-experience-level";
    }
}
